summaryrefslogtreecommitdiffstats
path: root/system/catfish
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-12 17:45:01 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-12 17:45:01 +0200
commit53923c8f2b483c942d796fa5840e6cf60faac163 (patch)
tree46830cacc9b43ca82339bd5b5536d37ad7f27eee /system/catfish
parent340baae412f38a88bd4926c2f68874a37a3ff715 (diff)
downloadslackbuilds-53923c8f2b483c942d796fa5840e6cf60faac163.tar.gz
slackbuilds-53923c8f2b483c942d796fa5840e6cf60faac163.tar.xz
system/catfish: Updated for version 0.3.2
Diffstat (limited to 'system/catfish')
-rw-r--r--system/catfish/README10
-rw-r--r--system/catfish/catfish.SlackBuild19
-rw-r--r--system/catfish/catfish.info10
-rw-r--r--system/catfish/catfish_Makefile.diff16
-rw-r--r--system/catfish/doinst.sh5
-rw-r--r--system/catfish/slack-desc22
6 files changed, 43 insertions, 39 deletions
diff --git a/system/catfish/README b/system/catfish/README
index c5578aa2cc..8e4d672f14 100644
--- a/system/catfish/README
+++ b/system/catfish/README
@@ -1,7 +1,7 @@
Catfish is a handy file searching tool for linux and unix.
-Basically, it is a frontend for different search engines (daemons) which
-provides a unified interface. The interface is intentionally lightweight
-and simple, using only GTK+ 2. You can configure it to your needs by
-using several command line options.
+Basically it is a frontend for different search engines (daemons)
+which provides a unified interface. The interface is intentionally
+lightweight and simple, using only GTK+ 2. You can configure it to
+your needs by using several command line options.
-pyxdg (also available here) is an optional dependency.
+pyxdg (available at SBo) is an optional build time dependency.
diff --git a/system/catfish/catfish.SlackBuild b/system/catfish/catfish.SlackBuild
index a184c06860..ebdc9ffbee 100644
--- a/system/catfish/catfish.SlackBuild
+++ b/system/catfish/catfish.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=catfish
-VERSION=0.3
+VERSION=${VERSION:-0.3.2}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -37,15 +37,16 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
cd $PRGNAM-$VERSION || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -73,14 +74,16 @@ make install DESTDIR=$PKG || exit 1
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a TODO $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Move auto-installed doc files to correct location:
-mv $PKG/usr/share/doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
rm -rf $PKG/usr/share/doc
-find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+# Set some saner permissions.
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+find $PKG/usr/share/ -type f -exec chmod 0644 {} \;
mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/catfish/catfish.info b/system/catfish/catfish.info
index 2caf03751d..2215e791ae 100644
--- a/system/catfish/catfish.info
+++ b/system/catfish/catfish.info
@@ -1,8 +1,8 @@
PRGNAM="catfish"
-VERSION="0.3"
-HOMEPAGE="http://software.twotoasts.de/?page=catfish"
-DOWNLOAD="http://software.twotoasts.de/media/catfish/catfish-0.3.tar.gz"
-MD5SUM="6f5fed0beaac45c2c7d77aa9b5f1aac0"
+VERSION="0.3.2"
+HOMEPAGE="http://software.twotoasts.de/"
+DOWNLOAD="http://software.twotoasts.de/media/catfish/catfish-0.3.2.tar.gz"
+MD5SUM="b28db355094bfbe7de097678e91ce271"
MAINTAINER="Frank Caraballo"
EMAIL="fecaraballo{at}gmail{dot}com"
-APPROVED="rworkman"
+APPROVED="Michiel" \ No newline at end of file
diff --git a/system/catfish/catfish_Makefile.diff b/system/catfish/catfish_Makefile.diff
index 42a43b9c19..8f4e243a0e 100644
--- a/system/catfish/catfish_Makefile.diff
+++ b/system/catfish/catfish_Makefile.diff
@@ -1,14 +1,14 @@
---- Makefile.orig 2008-03-18 12:50:03.638894634 -0700
-+++ Makefile 2008-03-18 12:50:55.641857937 -0700
+--- Makefile.orig 2008-10-26 12:14:07.558133556 -0700
++++ Makefile 2008-10-26 12:15:55.282116793 -0700
@@ -23,7 +23,7 @@
- install -d $(DESTDIR)/$(PREFIX)/share/pixmaps
- install $(APPNAME).svg $(DESTDIR)/$(PREFIX)/share/pixmaps
-- ln -sf $(DESTDIR)/$(PREFIX)/share/pixmaps/$(APPNAME).svg $(DESTDIR)/$(PREFIX)/share/$(APPNAME)/$(APPNAME).svg
-+ ln -sf $(PREFIX)/share/pixmaps/$(APPNAME).svg $(DESTDIR)/$(PREFIX)/share/$(APPNAME)/$(APPNAME).svg
+ install -d $(DESTDIR)/$(PREFIX)/share/icons/hicolor/scalable/apps
+ install $(APPNAME).svg $(DESTDIR)/$(PREFIX)/share/icons/hicolor/scalable/apps
+- ln -sf $(DESTDIR)/$(PREFIX)/share/icons/hicolor/scalable/apps/$(APPNAME).svg $(DESTDIR)/$(PREFIX)/share/$(APPNAME)/$(APPNAME).svg
++ ln -sf $(PREFIX)/share/icons/hicolor/scalable/apps/$(APPNAME).svg $(DESTDIR)/$(PREFIX)/share/$(APPNAME)/$(APPNAME).svg
- install -d $(DESTDIR)/$(PREFIX)/share/doc
- install AUTHORS $(DESTDIR)/$(PREFIX)/share/doc
+ install -d $(DESTDIR)/$(PREFIX)/share/doc/$(APPNAME)
+ install AUTHORS $(DESTDIR)/$(PREFIX)/share/doc/$(APPNAME)
@@ -36,7 +36,7 @@
install --mode=644 $(APPNAME).desktop $(DESTDIR)/$(PREFIX)/share/applications
diff --git a/system/catfish/doinst.sh b/system/catfish/doinst.sh
index 140e332222..f364075896 100644
--- a/system/catfish/doinst.sh
+++ b/system/catfish/doinst.sh
@@ -1,3 +1,4 @@
-if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
fi
+
diff --git a/system/catfish/slack-desc b/system/catfish/slack-desc
index e81a55dc7a..34e51ccd3d 100644
--- a/system/catfish/slack-desc
+++ b/system/catfish/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
- |-----handy-ruler-----------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
catfish: Catfish (File Search Frontend)
catfish:
catfish: Catfish is a handy file searching tool for linux and unix.
-catfish: Basically it is a frontend for different search engines
-catfish: (daemons) which provides a unified interface. The interface
-catfish: is intentionally lightweight and simple, using only GTK+ 2.
-catfish: You can configure it to your needs by using several command
-catfish: line options.
+catfish: Basically it is a frontend for different search engines (daemons)
+catfish: which provides a unified interface. The interface is intentionally
+catfish: lightweight and simple, using only GTK+ 2. You can configure it to
+catfish: your needs by using several command line options.
+catfish:
+catfish: Homepage: http://software.twotoasts.de/
catfish:
-catfish: Homepage: http://software.twotoasts.de/?page=catfish
catfish: